Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

require('jsdom/browser/domtohtml') fails #1

Closed
Tug opened this Issue · 2 comments

2 participants

@Tug
Tug commented

When loading express-jsdom :
var express = require('express');
var app = express.createServer();
var dom = require('express-jsdom')(app);

I have this error :
Error: Cannot find module 'jsdom/browser/domtohtml'

jsdom and express-jsdom are installed with npm and I'm on mac os x.

Any idea where it could come from?

@Tug
Tug commented

require('jsdom/lib/jsdom/browser/domtohtml') seems to work.
Any idea why ?
EDIT: application starts without error but a simple :
app.get('/', function(req, res, next){
res.send('HELLO WORLD');
});
does not work: GET / 404
(only when requiring express-jsdom)

@fgnass
Owner

NPM >= 1.0.0 no longer exposes module internals. Closed by 2787f7c

@fgnass fgnass closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.